---
title: "Search and query"
linkTitle: "Search and query"
description: Searching and querying Redis data
type: docs
weight: 10
aliases: 
 - /docs/stack/search
stack: true
highlighted: true
---

Redis Stack offers an enhanced Redis experience via the following search and query features:

- A rich query language
- Incremental indexing on JSON and hash documents
- Vector search
- Full-text search
- Geospatial queries
- Aggregations

You can find a complete list of features in the [reference documentation](/docs/interact/search-and-query/advanced-concepts/).

The search and query features of Redis Stack allow you to use Redis as a:

- Document database
- Vector database
- Secondary index
- Search engine

Here are the next steps to get you started:

1. Follow our [quick start guide](/docs/get-started/document-database/) to get some initial hands-on experience.
2. Learn how to [create an index](/docs/interact/search-and-query/indexing/).
3. Learn how to [query your data](/docs/interact/search-and-query/query/).

## License and source code

The search and query features of Redis Stack are available under the Source Available License 2.0 (RSALv2) or the Server Side Public License v1 (SSPLv1). Please read the [license file](https://raw.githubusercontent.com/RediSearch/RediSearch/master/LICENSE.txt) for further details. The source code and the [detailed release notes](https://github.com/RediSearch/RediSearch/releases) are available on [GitHub](https://github.com/RediSearch/RediSearch).

Have you got questions? Feel free to ask at the [search and query forum](https://forum.redis.com/c/modules/redisearch/).

Redis Ltd. provides commercial support for Redis Stack. Please see the [Redis Ltd. website](https://redis.com/redis-enterprise/technology/redis-search/#sds) for more details and contact information.

<br/>